E-commerce API
POST /services/webshop/v1/orders/create Public

Create Order

Converts a shopping cart into an order. Creates quote and/or checkout orders based on cart products. For paid orders, initiates payment and returns a redirect URL.

Request Body Required

FieldTypeRequiredDescriptionExample
shoppingcart_session string Yes
website_id string Yes
agreement string No
create_account boolean No
account_password string|null
max: 191
No
account_password_confirmation string|null No
cart_reminder_consent boolean No

Responses

200
429
Order created successfully
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/webshop/v1/orders/create" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "shoppingcart_session": "string",
    "website_id": "string",
    "agreement": "string",
    "create_account": false,
    "account_password": "string",
    "account_password_confirmation": "string",
    "cart_reminder_consent": false
}'
fetch('https://api.wemasy.nl/api/services/webshop/v1/orders/create', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "shoppingcart_session": "string",
    "website_id": "string",
    "agreement": "string",
    "create_account": false,
    "account_password": "string",
    "account_password_confirmation": "string",
    "cart_reminder_consent": false
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/webshop/v1/orders/create', {
    "shoppingcart_session": "string",
    "website_id": "string",
    "agreement": "string",
    "create_account": false,
    "account_password": "string",
    "account_password_confirmation": "string",
    "cart_reminder_consent": false
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "shoppingcart_session": "string",
    "website_id": "string",
    "agreement": "string",
    "create_account": false,
    "account_password": "string",
    "account_password_confirmation": "string",
    "cart_reminder_consent": false
}
r = requests.post("https://api.wemasy.nl/api/services/webshop/v1/orders/create", headers=headers, json=data)
print(r.json())
Response Example
{
    "payment": {
        "url": "https://example.com/thank-you?order=abc123def456"
    }
}

Try It
Request Body Required

Export